%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%         Transform DOS and d.T into shape suitable for TOB simulation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    DOS = sum(LDOS,2)';
    DOS(DOS<1) = 0;
    T(T<1e-3) = 0;

if simulation == 1

    d.DOS = DOS;
    d.T = T;

    [d.index_E_T,d.index_zero_minus,d.index_zero_plus] = NEGF_shift_index_T(d.T);

    help.A = d.T(d.E<d.E(d.index_zero_minus));
    help.A(help.A < 0.1) = 0.000001;
    d.T(1:d.index_zero_minus-1) = help.A;

    help.B = d.T(d.E>d.E(d.index_zero_plus));
    help.B(help.B < 0.1) = 0.000001;
    d.T(d.index_zero_plus+1:length(d.T)) = help.B;

    if mat.FETtype == 'N'
        d.E2=linspace(d.E(d.index_zero_plus)+ d.E2_min,d.E(d.index_zero_plus)+d.E2_max,d.E2_points); 
    else
        d.E2=linspace(d.E(d.index_zero_minus) + d.E2_min,d.E(d.index_zero_minus)+d.E2_max,d.E2_points);
    end
    
    d.dE2=abs(d.E2(2)-d.E2(1));
    d.E3 = d.E;

    d.E = d.E + (length(d.E) - d.index_E_T + 1)*d.dE(1) - round(max(d.E)/d.dE(1))*d.dE(1);

    if min(abs(d.E(d.E>0))) > min(abs(d.E(d.E<0)))% Energy range definition
        d.E = d.E + min(abs(d.E));
    else
        d.E = d.E - min(abs(d.E));
    end
    
    d.E_edgePOS = d.E(find(d.T == 0, 1, 'last'));
    d.E_edgeNEG = d.E(find(d.T == 0, 1, 'first'));
    d.E_gap = (d.E_edgePOS - d.E_edgeNEG);
    d.E_Fzero=(d.E_edgePOS+d.E_edgeNEG)/2;
    
elseif simulation == 2

    d.DOS2 = DOS;
    d.T2 = T;
    
    if mat.FETtype == 'N'
        help.C = d.T2(d.E2>(d.E3(d.index_zero_plus)+0.02));
        help.C(help.C < 0.1) = 0.000001;
        d.T2((length(d.T2)-length(help.C)+1):length(d.T2)) = help.C;
    elseif mat.FETtype == 'P'
        help.C = d.T2(d.E2<(d.E3(d.index_zero_minus)-0.02));
        help.C(help.C < 0.1) = 0.000001;
        d.T2(1:length(help.C)) = help.C;
        
        d.DOS2 = flip(d.DOS2);
        d.T2 = flip(d.T2);
    end

    d.E2_zero_last = d.E2(find(d.T2 == 0, 1, 'last'));

    d.E2 = d.E2 - d.E2_zero_last;

    if min(abs(d.E2(d.E2>0))) > min(abs(d.E2(d.E2<0)))
        d.E2 = d.E2 + min(abs(d.E2));
    else
        d.E2 = d.E2 - min(abs(d.E2));
    end

    d.DOS = d.DOS2;
    d.E = d.E2;
    d.dE = d.dE2;
    d.T = d.T2;

    
end
