%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                       Function to find shift indices
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   Input: 
%        Transmission
%
%   Outputs:
%        new_middle_index - index to mid of the bandgap
%        index_zero_minus - index to valence band maximum (VBM)
%        index_zero_plus  - index to conduction band minimum (CBM)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [new_middle_index,index_zero_minus,index_zero_plus] = NEGF_shift_index_T(T)

    Help_1 = diff(find([1,diff(T),1]));
    [longest_zero,index_zero] = max(Help_1);
    Help_2 = sum(Help_1(1:index_zero-1)-1);

    index_zero_minus = Help_2 + index_zero;
    index_zero_plus = index_zero_minus + longest_zero - 1;
    new_middle_index = round((index_zero_minus + index_zero_plus)/2); 
 
end