%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                       Extract and plot data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Vth=interp1(II_hi,Vgt,1e-7*1000/15); % Vth extraction, IRDS

gm=diff(II_hi)./diff(Vgt);%
gm=[0 gm];
gm_max = max(gm)*(NRWidth*1e-3)*1e3; % mA/Vum

Cox_out=const.e0*t.epsil_r/t.tox /1e12*1e15; % Ox capacitance, fF/um2
Cq=diff(Qs_on)./diff(Vgt);
Cq_out=const.q*max(Cq) /1e12*1e15; % total with Quantum capacitance, fF/um2
Cqq = 1/(1/Cq_out-1/Cox_out); % Quantum cap. only, from series


figure,...
    subplot(2,3,1), plot(Vgt,II_lo*1e3,'b',Vgt,II_hi*1e3,'r'), xlabel('Gate Voltage, {\it V_G} (V)'), ylabel('Drain Current, {\it I_D} (mA/\mum)'),... 
    subplot(2,3,2), semilogy(Vgt,II_lo,'b',Vgt,II_hi,'r'), xlabel('Gate Voltage, {\it V_G} (V)'), ylabel('Drain Current, {\it I_D} (A/\mum)'),...
    subplot(2,3,3), plot(Vgt,gm*1e3), xlabel('Gate Voltage, {\it V_G} (V)'), ylabel('Transconductance, {\it g_m} (mA/V\mum)'),... 
    subplot(2,3,4), plot(Vd,II*1e3), xlabel('Drain Voltage, {\it V_D} (V)'), ylabel('Drain Current, {\it I_D} (mA/\mum)'),...
    subplot(2,3,5), plot(Vgt,Qs_on/1e4), xlabel('Gate Voltage, {\it V_G} (V)'), ylabel('Charge density, {\it Q_s} (C/cm^2)'),...
    subplot(2,3,6), plot(Vgt,Vel_on*1e2), xlabel('Gate Voltage, {\it V_G} (V)'), ylabel('Injection velocity, {\it v_{inj}} (cm/s)');


