%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                    TOB output characteristics
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%
% input parameters defined in main_tob.m
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Vg=linspace(t.Vgo_min,t.Vgo_max,t.Vgo_points); NVg=length(Vg);
Vd=linspace(t.Vdo_min,t.Vdo_max,t.Vdo_points); NVd=length(Vd);
Vs = t.Vso;

errmax=1e-6;

II=zeros(NVg,NVd);
QQ=zeros(NVg,NVd);

fE_0=1./(1+exp((E-(Efs-Usc0))/const.kbT));
Qs0 = trapz(DOS.*fE_0)*dE;

NSD_source = t.frac*mat.Ndmax;
dmu1 = 0.01e-3;

fprintf(1,'Calculating output I-V characteristics!\n');

for p=1:NVg
    for k=1:NVd
        
        NSD_calc = 0;
        dmu1 = 0;
        while NSD_calc < NSD_source
            Efs_new=Efs+dmu1;
            [Qs_new,Usc_new,fE_s,fE_d] = tobiv_Usc_find(Usc0,Qs0,E,dE,DOS,Efs_new,errmax,t,Vg(p),Vd(k),Vs);
            NSD_calc = tobiv_NSD_floatingS(DOS,Usc_new,Efs_new,Vd(k),Vs,const,E,dE);
            dmu1 = dmu1+ 0.01e-3;
        end

        II(p,k) = 2 * const.q/const.h * sum(TRM0.*(fE_s-fE_d))*dE;
        QQ(p,k) = Qs_new;

    end
end

II=II./(NRWidth*1e-3); % A/um

QQ_off = QQ(1,NVd)*NRWidth*1e-9;
QQ_on = QQ(NVg,NVd)*NRWidth*1e-9;

fprintf(1,'DONE with calculations of output I-V characteristics!\n\n');
