%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                       List of constants
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   all constants are in "const" object
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


const.T = 300; % K  Temperature

const.q = 1.602176634*10^-19; % C   Elementary charge
const.e0 = 8.854187*10^-12; % F/m  Dielectric constant
const.k = 1.380649*10^-23; % J/K   Boltzmann constant

const.kbT = const.k*const.T/const.q; % V/ Thermal voltage 

%Planck constants h and reduced Planck constants hbar in eV*s and J*s
const.hbar = 6.582119569*10^-16; % eV*s
const.h = 4.135667696*10^-15; % eV*s
const.hbar_Js = 1.054571817*10^-34; % J*s
const.h_Js = 6.62607015*10^-34; % J*s

const.mel = 9.1093837015*10^-31; % kg   Electron mass

% NEGF calculation constants
const.etha = 10^-8;
const.delta = 10^-6;
const.zplus = 1i*1e-6; 
